Subject: [TLS] Review of draft-ietf-tls-cached-info-16

From: Ilari Liusvaara <[email-masked]>
Date: Sun, 17 Aug 2014 14:07:19 +0300

Doing a quick readthrough (since this doc is allegedly in WGLC).

> 4. Exchange Specification

>   The handshake protocol MUST proceed using the information as if it
>   was provided in the handshake protocol.  The Finished message MUST be
>   calculated over the actual data exchanged in the handshake protocol.
>   That is, the Finished message will be calculated over the information
>   that was omitted from transmission by means of its present hash in
>   the client hello and not through its presence in the handshake
>   exchange.

CertificateVerify messages also use transcripts. Those are defined
as usual[1] (like Finished seems to be), right?

[1] Omitted data is indirectly included via hashes present in
ClientHello/ServerHello.

-Ilari